DL Number Based Search API
Introduction
This API is used to fetch the details of the DL holder using their DL number and DOB.
How to call the API
Before going for Verification calls, you first need to create an Identity object. Need to pass accessToken and itemid obtained from identity call along with other input parameters. Other inputs mainly include Driving Licence Number and Date of birth of the user.
API Input Guidelines
The DL number can be in capital or small letters and the date format should be dd/mm/yy.
Step 1: Hit Identities API
Sample cURL
curl --location --request POST 'https://signzy.tech/api/v2/patrons/..patronId../identities' \
--header 'Content-Type: application/json' \
--header 'Authorization: <token>' \
--data-raw '{
"type": "drivingLicence",
"email": "",
"callbackUrl": "<call back Url>",
"images": [
"frontimage.jpg","backimage.jpeg"
]
}'Input Parameters
Parameter Name | Required/Optional | Description |
|---|---|---|
Authorization | Required | Contains the id parameter returned from the login step |
Content-Type | Required | application/json |
type | Required | Type of identity |
Required | e-mail ID | |
callbackurl | Required | URL where response will be posted |
images | Required | Front and back image of aadhaa |
Sample Response
{
"type": "aadhaar",
"email": "..email..
"callbackUrl": "<https://www.w3schools.com",>
"images": [
"<https://<Front> side image URL>",
"<https://<Back> side image URL>"
],
"accessToken": "..accessToken..",
"autoRecognition": [],
"verification": [],
"forgeryCheck": [],
"id": "..id..",
"patronId": "..patronId.."
}Response Parameter
Parameter Name | Description |
|---|---|
type | Type of identity |
email Id | |
callbackurl | url where response will be posted |
images | url of front and back images of DL |
accessToken | This is provided by identities API |
autoRecognition | Auto recognises text from upload image |
verification | verification is done |
forgeryCheck | Forgery check is done |
id | Unique user id |
patronId | Unique patron id |
Step 2: Hit Snoops API and receives a response
Sample cURL
curl --location --request POST 'https://preproduction.signzy.tech/api/v2/snoops' \
--header 'Content-Type: application/json' \
--data-raw '{ "service": "Identity",
"itemId": "",
"task": "fetch",
"accessToken": "",
"essentials": {
"number": "",
"dob": ""
}
}'Input Parameters
Parameter Name | Required/Optional | Description |
|---|---|---|
Content-Type | Required | application/json |
service | Required | Type of Signzy service - “identity” |
itemId | Required | Contains the identity item id |
accessToken | Required | This is provided by the identities API |
task | Required | The task to be performed (i.e. fetch in this case) |
essentials | Required | Contains the essential input data |
essentials.number | Required | Contains DL Number |
essentials.dob | Optional | Date of birth of DL holder |
Sample API Response
{
"service": "Identity",
"itemId": "",
"task": "fetch",
"essentials": {
"number": "",
"dob": "",
"instance": {
"id": "",
"callbackUrl": ""
}
},
"accessToken": "",
"id": "",
"response": {
"number": "",
"dob": "",
"instance": {
"id": "",
"callbackUrl": ""
},
"id": ,
"result": {
"dlNumber": "",
"dob": "",
"badgeDetails": [
{
"badgeIssueDate": "",
"badgeNo": "",
"classOfVehicle": [
"MCWG",
"LMV"
]
}
],
"dlValidity": {
"nonTransport": {
"to": "",
"from": ""
},
"hazardousValidTill": "",
"transport": {
"to": "",
"from": ""
},
"hillValidTill": ""
},
"detailsOfDrivingLicence": {
"dateOfIssue": "",
"dateOfLastTransaction": "",
"status": "",
"lastTransactedAt": "",
"name": "",
"fatherOrHusbandName": "",
"addressList": [
{
"completeAddress": "",
"type": "permanent",
"splitAddress": {
"district": [
""
],
"state": [
[
"",
""
]
],
"city": [
""
],
"pincode": "",
"country": [
"IN",
"IND",
"INDIA"
],
"addressLine": ""
}
},
{
"completeAddress": "",
"type": "temporary",
"splitAddress": {
"district": [
""
],
"state": [
[
"",
""
]
],
"city": [
""
],
"pincode": "",
"country": [
"IN",
"IND",
"INDIA"
],
"addressLine": ""
}
}
],
"address": "",
"photo": "photo.jpeg",
"splitAddress": {
"district": [
""
],
"state": [
[
"",
""
]
],
"city": [
""
],
"pincode": "",
"country": [
"IN",
"IND",
"INDIA"
],
"addressLine": ""
},
"covDetails": [
{
"covCategory": "",
"classOfVehicle": "MCWG",
"covIssuedate": ""
},
{
"covCategory": "",
"classOfVehicle": "LMV",
"covIssuedate": ""
}
]
}
}
}
}
Output Parameters
Parameter Name | Description |
|---|---|
service | Type of Signzy service - “identity extraction” |
itemId | Contains the identity item id |
task | The type of task performed - “Auto Recognition” |
essentials | Contains the essential output data |
essentials.number | Driving Licence number |
essentials.dob | Date of birth of the user |
essentials.instance.id | Contains instance id value |
essentials.callbackUrl | URL where response will be posted |
accesstoken | This is provided by the identities API |
id | Unique ID of the response |
response.number | Driving licence number |
response.dob | Date of birth of licence holder |
response.instance.id | contains instance id value |
response.instance.callbackUrl | URL where response will be posted |
response.id | contains response id value |
response.result.number | Driving Licence number |
response.result.dob | Date of birth of licence holder |
response.result.badgeDetails.badgeIssueDate | Date in which the badge was issued |
response.result.badgeDetails.badgeNo | badgeNumber Information |
response.result.badgeDetails.classOfvehicle | Details of what type of vehicle |
result.dlValidity.nonTransport.to | valid to (validity information of non transport dl) |
result.dlValidity.nonTransport.from | valid from (validity information of non transport dl) |
result.dlValidity.hazardousValidityTill | hazardous validity till |
result.detailsOfDrivingLicence.dateofIssue | Date of issue of driving Licence |
result.detailsOfDrivingLicence.dateOfLastTransactions | Date of last transaction |
result.detailsOfDrivingLicence.status | Driving licence status information |
result.detailsOfDrivingLicence.lastTransactionAt | Information of last transaction location |
result.detailsOfDrivingLicence.name | Name of Driving Licence holder |
result.detailsOfDrivingLicence.fatherOrHusbandName | Driving Licence holder father or husband name |
result.detailsOfDrivingLicence.addressList.completeAddress | address of Driving Licence holder |
result.detailsOfDrivingLicence.addressList.type | Type of address(i.e. present or permanent) |
result.detailsOfDrivingLicence.addressList.splitAddress.district | District name |
result.detailsOfDrivingLicence.addressList.splitAddress.state | state name |
result.detailsOfDrivingLicence.addressList.splitAddress.city | city name |
result.detailsOfDrivingLicence.addressList.splitAddress.pincode | pin code of the area |
result.detailsOfDrivingLicence.addressList.splitAddess.country | Country name |
result.detailsOfDrivingLicence.addressList.splitAddress.addressLine | Contains First line address of Licence holder |
result.detailsOfDrivingLicence.addressList.completeAddress | Complete address as mentioned in DL |
result.detailsOfDrivingLicence.addressList.type | Type of address (i.e.present/permanent) |
result.detailsOfDrivingLicence.addressList.splitAddress.district | District name |
result.detailsOfDrivingLicence.addressList.splitAddress.state | state name |
result.detailsOfDrivingLicence.addressList.splitAddress.city | city to which the DL holder belongs to |
result.detailsOfDrivingLicence.addressList.splitAddress.pincode | Pin code of the area of the user |
result.detailsOfDrivingLicence.addressList.splitAddress.country | country name |
result.addressList.splitAddress.addressLine | Contains First Line address of Licence holder |
result.detailsOfDrivingLicence.addressList.completeAddress | Complete Address of DL holder |
result.detailsOfDrivingLicence.addressList.type | type of address(i.e. present/permanent) |
result.detailsOfDrivingLicence.addressList.splitAddress.district | District name |
result.detailsOfDrivingLicence.addressList.splitAddress.state | state name |
result.detailsOfDrivingLicence.addressList.splitAddress.city | city name |
result.detailsOfDrivingLicence.addressList.splitAddress.pincode | pincode of the area mentioned in address |
result.detailsOfDrivingLicence.addressList.splitAddress.country | country to which dl holder belongs |
result.detailsOfDrivingLicence.addressList.splitAddress.addressLine | address of Licence holder |
result.detailsOfDrivingLicence.address | address of the licence holder |
result.detailsOfDrivingLicence.photo | url of cropped photo(Licence holder photo) from Licence |
result.detailsOfDrivingLicence.splitAddress.district | District name |
result.detailsOfDrivingLicence.splitAddress.state | state name |
result.detailsOfDrivingLicence.splitAddress.city | city to which DL holder belongs |
result.detailsOfDrivingLicence.splitAddress.pincoded | pincode number |
result.detailsOfDrivingLicence.splitAddress.country | country to which the licence holder belongs |
result.detailsOfDrivingLicence.splitAddress.addressLine | Contains first Line address of Licence holder |
result.detailsOfDrivingLicence.covDetails.covCategory | Details of cov category |
result.detailsOfDrivingLicence.covDetails.classOfVehicle | It displays class of vehicle (i.e.LMV/MCWG) |
result.detailsOfDrivingLicence.covDetails.covIssuedate | Cov issue date |
result.detailsOfDrivingLicence.covCategory | Details of cov category |
result.detailsOfDrivingLicence.classOfVehicle | It displays class of vehicle (i.e.LMV/MCWG) |
result.detailsOfDrivingLicence.covIssuedate | Cov issue date |
Getting help
Please feel free to contact us if you have any questions, require clarification, or have ideas for how to make the documents or any of our services better.
You can reach out to us at [email protected].